package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.dto.SysFileTemplateDTO;
import com.patzn.lims.sys.entity.SysFileTemplate;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 模板文件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-04-02
 */
public interface ISysFileTemplateService extends IBaseService<SysFileTemplate> {


    Page<SysFileTemplate> page(Page<SysFileTemplate> page, SysFileTemplateDTO dto);


    boolean save(MultipartFile file, SysFileTemplate sysFileTemplate);


    void download(Long id, HttpServletResponse response);

    boolean removeByIds(Long[] ids);

    SysFileTemplate getByAlias(Long companyId, String alias, String service);
}
